package com.bonus.canteen.core.report.datascreen.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DatascreeDishesVO {
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("菜品信息")
   private List<DatascreeDishesDetailVO> dishList;

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public String getMealtimeName() {
      return this.mealtimeName;
   }

   public List<DatascreeDishesDetailVO> getDishList() {
      return this.dishList;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
   }

   public void setDishList(final List<DatascreeDishesDetailVO> dishList) {
      this.dishList = dishList;
   }

   public String toString() {
      Integer var10000 = this.getMealtimeType();
      return "DatascreeDishesVO(mealtimeType=" + var10000 + ", mealtimeName=" + this.getMealtimeName() + ", dishList=" + String.valueOf(this.getDishList()) + ")";
   }
}
